#import "MyWindowController.h"

@implementation MyWindowController

- (IBAction)go:(id)sender
{
    NSString *finalS = [final stringValue];
    NSString *sourceS = [source stringValue];
    
    id object;
    NSEnumerator *enumerator_;

    if ( finalS == NULL || sourceS == NULL )
        NSRunAlertPanel(@"My Apologies",@"Even I can not do something with nothing.\nPlease make sure all three fields are filled in.",@"OK",NULL,NULL);
    else {
        enumerator_= [[NSFileManager defaultManager] enumeratorAtPath: sourceS];

        while ((object = [enumerator_ nextObject])) {
            if ( [object hasSuffix: @".pdf"] ){
                [[[[NSImage alloc] initWithContentsOfFile:[NSString stringWithFormat :@"%@/%@", sourceS, object]] TIFFRepresentation]  writeToFile:[NSString stringWithFormat :@"%@/%@.tiff", finalS, object] atomically:YES];
            //NSLog (@"iconLiner here: Processing %@/0%d.tiff", sourceS, lcv);                 
            }
        }
        NSRunAlertPanel(@"Done",@"That action was completed successfully.",@"OK",NULL,NULL);
    }
}

- (IBAction)gatherSource:(id)sender
{
    NSOpenPanel *oPanel = [NSOpenPanel openPanel];
    int result;
    
    [oPanel setAllowsMultipleSelection:NO];
    [oPanel setCanChooseDirectories: YES];
    [oPanel setCanChooseFiles: NO];
    result = [oPanel runModalForTypes:nil];
    if (result == NSOKButton) {
        [source setObjectValue :[[oPanel filenames] objectAtIndex: 0]];
    }
}

- (IBAction)gatherFinal:(id)sender
{
    NSOpenPanel *oPanel = [NSOpenPanel openPanel];
    int result;

    [oPanel setAllowsMultipleSelection:NO];
    [oPanel setCanChooseDirectories: YES];
    [oPanel setCanChooseFiles: NO];
    result = [oPanel runModalForTypes:nil];
    if (result == NSOKButton) {
        [final setObjectValue :[[oPanel filenames] objectAtIndex: 0]];
    }
}
@end
